.dockerci:build:
  # Used within build jobs for dockerci images. It is required that
  # you define values for the following vars from your trigger job:
  #
  # variables:
  #   PROJECT_PATH: "path/to/project"
  #   CONTAINER_TEST_IMAGE: $CI_REGISTRY_IMAGE/dockerci/<LANGUAGE-NAME>
  rules:
    - if: '$CI_PIPELINE_SOURCE == "push" && $CI_COMMIT_BEFORE_SHA != $EMPTY_BASE_SHA'
      changes:
        # we only need to rebuild if the Dockerfile changes
        - $PROJECT_PATH/Dockerfile
      when: on_success
    - if: '$STAGE == "test"'
      changes:
        # we only need to rebuild if the Dockerfile changes
        - $PROJECT_PATH/Dockerfile
      when: on_success
  image: $DIND_IMAGE
  services:
    - $DIND_IMAGE-dind
  before_script:
    - docker login -u $CI_REGISTRY_USER -p $CI_REGISTRY_PASSWORD $CI_REGISTRY
    - echo GIT_SHA_RANGE=$CI_COMMIT_BEFORE_SHA...$CI_COMMIT_SHA
    - echo PROJECT_PATH=$PROJECT_PATH && cd $PROJECT_PATH
  script:
    - DOCKER_BUILDKIT=1 docker build --pull -t $CONTAINER_TEST_IMAGE .
    - docker push $CONTAINER_TEST_IMAGE
